-------------------------------------------------------------------------------------
-- SCHEMA UPDATE FOR WIKIDB EXTENSION [2010-05-18]
-- $Rev: 470 $
-- This update adds an is_stale flag to wikidb_rowdata, which is used to batch-update
-- field data when the table definition is changed, so we can defer updates and
-- save the wiki from collapsing when large tables have their definition modified.
-- See the main tables.sql file for more details on this field.
-------------------------------------------------------------------------------------
-- You are strongly recommended to use the supplied install/update scripts rather
-- than running this code directly.
--
-- /*$wgDBprefix*/ should be replaced with the DB prefix you are using for
-- your MediaWiki installation (if relevant).
-- This will be done automatically if you use the install/update scripts.
--
-- /*$wgDBTableOptions*/ is used in later versions of MediaWiki to set the
-- default table options, and will vary depending on the type of DB being
-- used (mysql/postgres/etc).
-------------------------------------------------------------------------------------

ALTER TABLE /*$wgDBprefix*/wikidb_rowdata

	ADD				is_stale	tinyint(1) unsigned NOT NULL default '0',
	
	ADD INDEX		is_stale 	(is_stale);

